## org.apache.batik.util.gui
Interface DropDownComponent.ScrollablePopupMenuModel

All Known Implementing Classes:
  DropDownHistoryModel, DropDownHistoryModel.RedoPopUpMenuModel, DropDownHistoryModel.UndoPopUpMenuModel

Enclosing class:
  DropDownComponent

    public static interface DropDownComponent.ScrollablePopupMenuModel

The scrollable popup menu model.

Method Summary
`java.lang.String` `getFooterText()` Gets the footer text for the ScrollablePopupMenu's footer item.
`void` `processAfterShowed()` Processes the showing of the pop up menu.
`void` `processBeforeShowed()` Processes the showing of the pop up menu.
`void` `processItemClicked()` Processes the click on the pop up menu item.

Method Detail

### getFooterText

    java.lang.String getFooterText()

  Gets the footer text for the ScrollablePopupMenu's footer item.

  Returns:
    the footer text.

### processItemClicked

    void processItemClicked()

  Processes the click on the pop up menu item.

### processBeforeShowed

    void processBeforeShowed()

  Processes the showing of the pop up menu. Invoked before showing the pop up menu

### processAfterShowed

    void processAfterShowed()

  Processes the showing of the pop up menu. Invoked after showing the pop up menu

Copyright © 2008 Apache Software Foundation. All Rights Reserved.